%global pmname	pom
%global ppname	mycila
Name:           %{ppname}-%{pmname}
Version:        6
Release:        %mkrel 2
Summary:        Mycila parent POM

Group:          Development/Java
License:        ASL 2.0
URL:            https://github.com/mycila/pom
BuildArch:      noarch

Source0:		https://github.com/mycila/pom/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  dos2unix
BuildRequires:  maven-wagon-ssh-external
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)

Requires: java-headless

%description
Mycila parent POM

%prep
%setup -q -n %{pmname}-%{name}-%{version}
dos2unix pom.xml

%pom_remove_plugin com.mycila:license-maven-plugin
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav']]"
%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md




%changelog
* Sun May 21 2017 neoclust <neoclust> 6-2.mga6
+ Revision: 1103810
- Regenerate build-requires
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 6-1.mga6
+ Revision: 983132
- imported package mycila-pom


* Tue Feb 03 2015 Zdenek Zambersky <zzambers@redhat.com> 6-1
- initial rpm